gsmtap_inst Struct Reference
GSMTAP

one gsmtap instance More...

`#include <gsmtap_util.h>`

## Data Fields

int | ofd_wq_mode
| wait queue mode? More...
struct osmo_wqueue | wq
| the wait queue More...
struct osmo_fd | sink_ofd
| file descriptor More...

## Detailed Description

one gsmtap instance

## Field Documentation

## ofd_wq_mode

int gsmtap_inst::ofd_wq_mode

wait queue mode?

Referenced by gsmtap_sendmsg(), gsmtap_source_add_sink(), gsmtap_source_init(), and log_target_create_gsmtap().

## sink_ofd

struct osmo_fd gsmtap_inst::sink_ofd

file descriptor

Referenced by gsmtap_source_add_sink(), and gsmtap_source_init().

## wq

struct osmo_wqueue gsmtap_inst::wq

the wait queue

Referenced by gsmtap_inst_fd(), gsmtap_sendmsg(), and gsmtap_source_init().

The documentation for this struct was generated from the following file:

- include/osmocom/core/gsmtap_util.h